## magit 2.90.1

=== Makefile ===
-include config.mk
include default.mk

## ###################################################################

.PHONY: lisp \
	install install-lisp install-docs install-info \
	test test-interactive magit \
	clean clean-lisp clean-docs clean-archives \
	stats bump-version melpa-post-release \
	dist versionlib magit-$(VERSION).tar.gz

all: lisp docs

help:
	$(info )
	$(info See default.mk for variables you might want to set.)
	$(info )
	$(info Build)
	$(info =====)
	$(info )
	$(info make [all]            - compile elisp and documentation)
	$(info make lisp             - compile elisp)
	$(info make docs             - generate info manuals)
	$(info make info             - generate info manuals)
	$(info make html             - generate html manual files)
	$(info make html-dir         - generate html manual directories)
	$(info make pdf              - generate pdf manuals)
	$(info make epub             - generate epub manuals)
	$(info )
	$(info Install)
	$(info =======)
	$(info )
	$(info make install          - install elisp and documentation)
	$(info make install-lisp     - install elisp)
	$(info make install-docs     - install all documentation)
	$(info make install-info     - install info manuals only)
	$(info )
	$(info Clean)
	$(info ====)
	$(info )
	$(info make clean            - clean elisp, documentation and tarball)
	$(info make clean-lisp       - clean elisp)
	$(info make clean-docs       - clean docs)
	$(info make clean-archives   - clean release tarball)
	$(info make clean-all        - clean everything except tracked texi)
	$(info make clean-stats      - clean stats)
	$(info )
	$(info Test)
	$(info ====)
	$(info )
	$(info make test             - run tests)
	$(info make test-interactive - run tests interactively)
	$(info make emacs-Q          - run emacs -Q plus Magit)
	$(info )
	$(info Release Management)
	$(info ==================)
	$(info )
	$(info make texi             - regenerate texi from org)
	$(info make stats            - regenerate statistics)
	$(info make authors          - regenerate AUTHORS.md)
	$(info make publish-stats    - publish statistics)
	$(info make publish-manuals  - publish snapshot manuals)
	$(info make release-manuals  - publish release manuals)
	$(info make dist             - create tarballs)
	$(info make bump-versions    - bump versions for release)
	$(info make bump-snapshots   - bump versions after release)
	@printf "\n"

## Build #############################################################

lisp:
	@$(MAKE) -C lisp lisp

docs:
	@$(MAKE) -C Documentation all

info:
	@$(MAKE) -C Documentation info

html:
	@$(MAKE) -C Documentation html

html-dir:
	@$(MAKE) -C Documentation html-dir

pdf:
	@$(MAKE) -C Documentation pdf

epub:
	@$(MAKE) -C Documentation epub

## Install ###########################################################

install: install-lisp install-docs

install-lisp: lisp
	@$(MAKE) -C lisp install

install-docs: docs
	@$(MAKE) -C Documentation install-docs

install-info: info
	@$(MAKE) -C Documentation install-info

## Test ##############################################################

test:
	@$(BATCH) --eval "(progn\
        $$suppress_warnings\
	(load-file \"t/magit-tests.el\")\
	(ert-run-tests-batch-and-exit))"

test-interactive:
	@$(EMACSBIN) -Q $(LOAD_PATH) --eval "(progn\
	(load-file \"t/magit-tests.el\")\
	(ert t))"

emacs-Q: clean-lisp
	@$(EMACSBIN) -Q $(LOAD_PATH) --debug-init --eval "(progn\
	(setq debug-on-error t)\
	(require 'magit)\
	(global-set-key \"\\C-xg\" 'magit-status))"

## Clean #############################################################

clean: clean-lisp clean-docs clean-archives
	@printf "Cleaning...\n"
	@$(RM) *.elc $(ELGS) # temporary cleanup kludge
	@$(RM) Documentation/*.texi~ Documentation/*.info-1 Documentation/*.info-2
	@$(RM) magit-pkg.el t/magit-tests.elc

clean-lisp:
	@$(MAKE) -C lisp clean

clean-docs:
	@$(MAKE) -C Documentation clean

clean-archives:
	@$(RM) *.tar.gz *.tar lisp/magit-version.el
	@$(RMDIR) magit-$(VERSION)

clean-all: clean clean-stats

clean-stats:
	@$(RMDIR) $(statsdir)

## Release management ################################################

texi:
	@$(MAKE) -C Documentation texi

stats:
	@$(MAKE) -C Documentation stats

authors:
	@$(MAKE) -C Documentation authors

publish-stats:
	@$(MAKE) -C Documentation publish-stats

publish-manuals:
	@$(MAKE) -C Documentation publish-manuals

release-manuals:
	@$(MAKE) -C Documentation release-manuals

dist: magit-$(VERSION).tar.gz

versionlib:
	@$(MAKE) -C lisp versionlib

DIST_ROOT_FILES = LICENSE default.mk Makefile README.md
DIST_LISP_FILES = $(addprefix lisp/,$(ELS) magit-version.el Makefile)
DIST_DOCS_FILES = $(addprefix Documentation/,$(TEXIPAGES) AUTHORS.md Makefile)
ifneq ("$(wildcard Documentation/RelNotes/$(VERSION).txt)","")
  DIST_DOCS_FILES += Documentation/RelNotes/$(VERSION).txt
endif

magit-$(VERSION).tar.gz: lisp versionlib info
	@printf "Packing $@\n"
	@$(MKDIR) magit-$(VERSION)
	@$(CP) $(DIST_ROOT_FILES) magit-$(VERSION)
	@$(MKDIR) magit-$(VERSION)/lisp
	@$(CP) $(DIST_LISP_FILES) magit-$(VERSION)/lisp
	@$(MKDIR) magit-$(VERSION)/Documentation
	@$(CP) $(DIST_DOCS_FILES) magit-$(VERSION)/Documentation
	@$(TAR) cz --mtime=./magit-$(VERSION) -f magit-$(VERSION).tar.gz magit-$(VERSION)
	@$(RMDIR) magit-$(VERSION)

define set_package_requires
(with-temp-file "lisp/git-commit.el"
  (insert-file-contents "lisp/git-commit.el")
  (re-search-forward "^;; Package-Requires: ")
  (delete-region (point) (line-end-position))
  (insert (format "%S"
`((emacs ,emacs-version) ;`
  (dash ,dash-version)
  (with-editor ,with-editor-version))))
(with-temp-file "lisp/magit-pkg.el"
  (insert (pp-to-string
`(define-package "magit" "$(VERSION)" ;`
   "A Git porcelain inside Emacs."
   '((emacs ,emacs-version) ;'
     (async ,async-version)
     (dash ,dash-version)
     (ghub ,ghub-version)
     (git-commit ,git-commit-version)
     (magit-popup ,magit-popup-version)
     (with-editor ,with-editor-version)))))
  (goto-char (point-min))
  (re-search-forward " \"A")
  (goto-char (match-beginning 0))
  (insert "\n ")))
endef
export set_package_requires

bump-versions: bump-versions-1 texi
bump-versions-1:
	@$(BATCH) --eval "(let (\
	(emacs-version \"$(EMACS_VERSION)\")\
        (async-version \"$(ASYNC_VERSION)\")\
        (dash-version \"$(DASH_VERSION)\")\
        (ghub-version \"$(GHUB_VERSION)\")\
        (git-commit-version \"$(GIT_COMMIT_VERSION)\")\
        (magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
        (with-editor-version \"$(WITH_EDITOR_VERSION)\"))\
        $$set_package_requires)"

bump-snapshots:
	@$(BATCH) --eval "(let (\
	(emacs-version \"$(EMACS_VERSION)\")\
        (async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
        (dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
        (ghub-version \"$(GHUB_MELPA_SNAPSHOT)\")\
        (git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
        (magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
        (with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\"))\
        $$set_package_requires)"
	@git commit -a -m "Reset Package-Requires for Melpa"

=== Documentation/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: texi install clean AUTHORS.md stats

all: info

## Build #############################################################

info: $(INFOPAGES) dir
html: $(HTMLFILES)
pdf:  $(PDFFILES)
epub: $(EPUBFILES)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: magit.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(TEXIFILES)
	@printf "Generating magit/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) magit.texi
	@for f in $$(find magit -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

%.epub: %.texi
	@printf "Generating $@\n"
	@makeinfo --docbook $< -o epub.xml
	@xsltproc $(DOCBOOK_XSL) epub.xml 2> /dev/null
	@echo "application/epub+zip" > mimetype
	@zip -X --quiet --recurse-paths -0 $@ mimetype
	@zip -X --quiet --recurse-paths -9 --no-dir-entries $@ META-INF OEBPS
	@$(RMDIR) $(EPUBTRASH)

## Install ###########################################################

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

## Clean #############################################################

clean:
	@printf "Cleaning Documentation/*...\n"
	@$(RMDIR) dir $(INFOPAGES) $(HTMLFILES) $(HTMLDIRS) $(PDFFILES)
	@$(RMDIR) $(EPUBFILES) $(EPUBTRASH)

## Release management ################################################

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
ORG_ARGS += -l magit-utils.el -l org-man -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
texi:
	@$(EMACSBIN) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

stats:
	@printf "Generating statistics\n"
	@gitstats -c style=/assets/stats.css -c max_authors=999 $(TOP) $(statsdir)

authors: AUTHORS.md

AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN <%aE>' | sort -u >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"

DOMAIN         ?= magit.vc
PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/

S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)

CFRONT_DIST    ?= E2LUHBKU1FBV02
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish-stats: stats
	@printf "Uploading statistics...\n"
	@aws s3 sync $(statsdir) $(S3_BUCKET)/stats/
	@printf "Uploaded to $(PUBLISH_URL)/stats/\n"
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation \
	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

publish-manuals: $(PUBLISH_TARGETS)
	@printf "Uploading manuals... $(PUBLISH_TARGETS)\n"
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).epub $(PUBLISH_TARGET)
	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/ > /dev/null
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release-manuals: $(PUBLISH_TARGETS)
	@printf "Uploading release manuals...\n"
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 cp $(PKG).epub $(RELEASE_TARGET)
	@printf "upload: ./$(PKG)/* to $(RELEASE_TARGET)*\n"
	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/ > /dev/null
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

# Templates ##########################################################

define AUTHORS_HEADER
Authors
=======

The following people have contributed to Magit, including the
libraries `git-commit.el`, `magit-popup.el`, and `with-editor.el`
which are distributed as separate Elpa packages.

For statistics see https://magit.vc/stats/authors.html.

Names below are sorted alphabetically.

Author
------

- Marius Vollmer <marius.vollmer@gmail.com>

Maintainer
----------

- Jonas Bernoulli <jonas@bernoul.li>

Developers
----------

- Kyle Meyer <kyle@kyleam.com>
- Noam Postavsky <npostavs@users.sourceforge.net>

Retired Maintainers and Developers
----------------------------------

- Nicolas Dudebout <nicolas.dudebout@gatech.edu>
- Peter J. Weisberg <pj@irregularexpressions.net>
- Pieter Praet <pieter@praet.org>
- Phil Jackson <phil@shellarchive.co.uk>
- Rémi Vanicat <vanicat@debian.org>
- Yann Hodique <yann.hodique@gmail.com>

Contributors
------------

endef
export AUTHORS_HEADER

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

## ###################################################################

.PHONY: magit-version.el install

all: lisp

## Build order #######################################################

git-commit.elc:
magit-utils.elc:
magit-section.elc:	magit-utils.elc
magit-git.elc:		magit-utils.elc magit-section.elc
magit-mode.elc:		magit-section.elc magit-git.elc
magit-margin.elc:	magit-section.elc magit-mode.elc
magit-process.elc:	magit-utils.elc magit-section.elc \
			magit-git.elc magit-mode.elc
magit-autorevert.elc:	magit-git.elc magit-process.elc
magit-core.elc:		magit-margin.elc magit-utils.elc \
			magit-section.elc magit-git.elc magit-mode.elc \
			magit-process.elc magit-autorevert.elc
magit-diff.elc:		git-commit.elc magit-core.elc
magit-log.elc:		magit-core.elc magit-diff.elc
magit-wip.elc:		magit-core.elc magit-log.elc
magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
magit-repos.elc:	magit-core.elc
magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
			magit-log.elc magit-apply.elc magit-repos.elc
magit-status.elc:	magit.elc
magit-refs.elc: 	magit.elc
magit-files.elc:	magit.elc
magit-collab.elc:	magit.elc
magit-reset.elc:        magit.elc
magit-branch.elc:	magit.elc magit-collab.elc magit-reset.elc
magit-merge.elc:        magit.elc
magit-tag.elc:          magit.elc
magit-worktree.elc:	magit.elc
magit-notes.elc:	magit.elc
magit-sequence.elc:	magit.elc
magit-commit.elc:	magit.elc magit-sequence.elc
magit-remote.elc:	magit.elc
magit-clone.elc:	magit.elc
magit-fetch.elc:	magit.elc
magit-pull.elc:		magit.elc
magit-push.elc:		magit.elc
magit-patch.elc:	magit.elc
magit-bisect.elc:	magit.elc
magit-stash.elc:	magit.elc
magit-blame.elc:	magit.elc
magit-obsolete.elc:	magit.elc
magit-submodule.elc:	magit.elc
magit-subtree.elc:	magit.elc
magit-ediff.elc:	magit.elc
magit-gitignore.elc:	magit.elc
magit-extras.elc:	magit.elc magit-merge.elc
git-rebase.elc:		magit.elc
magit-imenu.elc:	magit.elc git-rebase.elc
magit-bookmark.elc:	magit.elc
magit-obsolete.elc:	magit.elc

## Build #############################################################

lisp:       $(ELCS) loaddefs
loaddefs:   $(PKG)-autoloads.el
versionlib: $(PKG)-version.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	$$suppress_warnings)" \
	-f batch-byte-compile $<

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(BATCH) --eval "(progn\
	(fset 'message (lambda (&rest _)))\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

$(PKG)-version.el:
	@printf "Generating $@\n"
	@printf "%s" "$$VERSIONLIB_TMPL" > $@

## Install ###########################################################

install: lisp versionlib
	@$(MKDIR) $(DESTDIR)$(lispdir)
	$(CP) $(ELS) magit-autoloads.el magit-version.el $(ELCS) $(DESTDIR)$(lispdir)

## Clean #############################################################

clean:
	@printf "Cleaning lisp/*...\n"
	@$(RM) *.elc $(ELGS)

## Templates #########################################################

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here

endef
export LOADDEFS_TMPL
#'

define VERSIONLIB_TMPL
;;; $(PKG)-version.el --- the Magit version you are using

(setq $(PKG)-version "$(VERSION)")

(provide '$(PKG)-version)

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; coding: utf-8
;; End:
;;; $(PKG)-version.el ends here

endef
export VERSIONLIB_TMPL
#'

define suppress_warnings
(fset 'original-message (symbol-function 'message))
(fset 'message ;'
      (lambda (f &rest a)
        (unless (or (equal f "Wrote %s")
                    (equal f "pcase-memoize: equal first branch, yet different")
                    (and (equal f "Warning: Unknown defun property `%S' in %S")
                         (memq (car a) '(pure side-effect-free interactive-only))))
          (apply 'original-message f a))))
endef
export suppress_warnings

=== debian/changelog ===
magit (2.90.1-2) unstable; urgency=medium

  * Remove emacs24 and emacs25 from Enhances
  * Use nil as default for magit-repository-directories 
    fix: "magit-status doesn't honor path auto-completion
    anymore", thanks to Matteo F. Vescovi (Closes: #914137).

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Feb 2019 08:17:36 +0100

magit (2.90.1-1) unstable; urgency=medium

  * New upstream version
  * Update patches metadata
  * Update debian/docs file
  * Update debian/elpa-magit.elpa file
  * Update debian/watch to add the v in the version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 17 Nov 2018 23:05:08 +0100

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
               git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub,
               texinfo, install-info
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Enhances: emacs, git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, git
Built-Using: ${misc:Built-Using}
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.

Package: magit
Priority: optional
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-magit
Built-Using: ${misc:Built-Using}
Description: transitional dummy package for elpa-magit
 This transitional package is safe to remove.

=== debian/watch ===
version=3
https://github.com/magit/magit/releases /magit/magit/archive/v?(\d.+).tar.gz

## magit 2.99.0.git0957.ge8c7bd03

=== Makefile ===
--- 
+++ 
@@ -196,7 +196,23 @@
   (insert (format "%S"
 `((emacs ,emacs-version) ;`
   (dash ,dash-version)
-  (with-editor ,with-editor-version))))
+  (transient ,transient-version)
+  (with-editor ,with-editor-version)))))
+(with-temp-file "lisp/magit-libgit.el"
+  (insert-file-contents "lisp/magit-libgit.el")
+  (re-search-forward "^;; Package-Requires: ")
+  (delete-region (point) (line-end-position))
+  (insert (format "%S"
+`((emacs "$(LIBGIT_EMACS_VERSION)") ;`
+  (magit "$(LIBGIT_MAGIT_VERSION)")
+  (libgit ,libgit-version)))))
+(with-temp-file "lisp/magit-section.el"
+  (insert-file-contents "lisp/magit-section.el")
+  (re-search-forward "^;; Package-Requires: ")
+  (delete-region (point) (line-end-position))
+  (insert (format "%S"
+`((emacs ,emacs-version) ;`
+  (dash ,dash-version)))))
 (with-temp-file "lisp/magit-pkg.el"
   (insert (pp-to-string
 `(define-package "magit" "$(VERSION)" ;`
@@ -204,14 +220,15 @@
    '((emacs ,emacs-version) ;'
      (async ,async-version)
      (dash ,dash-version)
-     (ghub ,ghub-version)
      (git-commit ,git-commit-version)
-     (magit-popup ,magit-popup-version)
-     (with-editor ,with-editor-version)))))
+     ;; FIXME (magit-section ,magit-section-version)
+     (transient ,transient-version)
+     (with-editor ,with-editor-version))
+   :keywords '("git" "tools" "vc")))) ;'
   (goto-char (point-min))
   (re-search-forward " \"A")
   (goto-char (match-beginning 0))
-  (insert "\n ")))
+  (insert "\n "))
 endef
 export set_package_requires
 
@@ -221,9 +238,10 @@
 	(emacs-version \"$(EMACS_VERSION)\")\
         (async-version \"$(ASYNC_VERSION)\")\
         (dash-version \"$(DASH_VERSION)\")\
-        (ghub-version \"$(GHUB_VERSION)\")\
         (git-commit-version \"$(GIT_COMMIT_VERSION)\")\
-        (magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
+        (libgit-version \"$(LIBGIT_VERSION)\")\
+        (magit-section-version \"$(MAGIT_SECTION_VERSION)\")\
+        (transient-version \"$(TRANSIENT_VERSION)\")\
         (with-editor-version \"$(WITH_EDITOR_VERSION)\"))\
         $$set_package_requires)"
 
@@ -232,9 +250,10 @@
 	(emacs-version \"$(EMACS_VERSION)\")\
         (async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
         (dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
-        (ghub-version \"$(GHUB_MELPA_SNAPSHOT)\")\
         (git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
-        (magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
+        (libgit-version \"$(LIBGIT_MELPA_SNAPSHOT)\")\
+        (magit-section-version \"$(MAGIT_SECTION_MELPA_SNAPSHOT)\")\
+        (transient-version \"$(TRANSIENT_MELPA_SNAPSHOT)\")\
         (with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\"))\
         $$set_package_requires)"
 	@git commit -a -m "Reset Package-Requires for Melpa"

=== Documentation/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	@printf "Generating $@\n"
 	@$(MAKEINFO) --no-split $< -o $@
 
-dir: magit.info
+dir: magit.info magit-section.info
 	@printf "Generating dir\n"
 	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
@@ -42,6 +42,11 @@
 	@for f in $$(find magit -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
 	done
+	@printf "Generating magit-section/*.html\n"
+	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) magit-section.texi
+	@for f in $$(find magit-section -name '*.html') ; do \
+	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
+	done
 
 %.pdf: %.texi
 	@printf "Generating $@\n"
@@ -49,7 +54,7 @@
 
 %.epub: %.texi
 	@printf "Generating $@\n"
-	@makeinfo --docbook $< -o epub.xml
+	@$(MAKEINFO) --docbook $< -o epub.xml
 	@xsltproc $(DOCBOOK_XSL) epub.xml 2> /dev/null
 	@echo "application/epub+zip" > mimetype
 	@zip -X --quiet --recurse-paths -0 $@ mimetype
@@ -78,7 +83,8 @@
 ## Release management ################################################
 
 ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
-ORG_ARGS += -l magit-utils.el -l org-man -l ox-extra -l ox-texinfo+.el
+ORG_ARGS += -l magit-utils.el -l ox-extra -l ox-texinfo+.el
+ORG_ARGS += --eval "(or (require 'org-man nil t) (require 'ol-man))"
 ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
@@ -95,6 +101,9 @@
 	@$(EMACSBIN) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
 	@printf "\n" >> $(PKG).texi
 	@rm -f $(PKG).texi~
+	@$(EMACSBIN) $(ORG_ARGS) magit-section.org $(ORG_EVAL)
+	@printf "\n" >> magit-section.texi
+	@rm -f magit-section.texi~
 
 stats:
 	@printf "Generating statistics\n"
@@ -140,6 +149,11 @@
 	@aws s3 cp $(PKG).epub $(PUBLISH_TARGET)
 	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
 	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/ > /dev/null
+	@aws s3 cp magit-section.html $(PUBLISH_TARGET)
+	@aws s3 cp magit-section.pdf  $(PUBLISH_TARGET)
+	@aws s3 cp magit-section.epub $(PUBLISH_TARGET)
+	@printf "upload: ./magit-section/* to $(PUBLISH_TARGET)*\n"
+	@aws s3 sync --delete magit-section $(PUBLISH_TARGET)magit-section/ > /dev/null
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
@@ -151,6 +165,13 @@
 	@aws s3 cp $(PKG).epub $(RELEASE_TARGET)
 	@printf "upload: ./$(PKG)/* to $(RELEASE_TARGET)*\n"
 	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/ > /dev/null
+	@aws s3 cp magit-section.html $(RELEASE_TARGET)
+	@aws s3 cp magit-section.pdf  $(RELEASE_TARGET)
+	@aws s3 cp magit-section.epub $(RELEASE_TARGET)
+	@printf "upload: ./magit-section/* to $(RELEASE_TARGET)*\n"
+	@aws s3 sync --delete magit-section $(RELEASE_TARGET)magit-section/ > /dev/null
+	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
+	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

=== lisp/Makefile ===
--- 
+++ 
@@ -11,54 +11,61 @@
 
 git-commit.elc:
 magit-utils.elc:
-magit-section.elc:	magit-utils.elc
-magit-git.elc:		magit-utils.elc magit-section.elc
-magit-mode.elc:		magit-section.elc magit-git.elc
-magit-margin.elc:	magit-section.elc magit-mode.elc
-magit-process.elc:	magit-utils.elc magit-section.elc \
-			magit-git.elc magit-mode.elc
-magit-autorevert.elc:	magit-git.elc magit-process.elc
-magit-core.elc:		magit-margin.elc magit-utils.elc \
-			magit-section.elc magit-git.elc magit-mode.elc \
-			magit-process.elc magit-autorevert.elc
-magit-diff.elc:		git-commit.elc magit-core.elc
-magit-log.elc:		magit-core.elc magit-diff.elc
-magit-wip.elc:		magit-core.elc magit-log.elc
-magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
-magit-repos.elc:	magit-core.elc
-magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
-			magit-log.elc magit-apply.elc magit-repos.elc
-magit-status.elc:	magit.elc
-magit-refs.elc: 	magit.elc
-magit-files.elc:	magit.elc
-magit-collab.elc:	magit.elc
+magit-section.elc:
+ifeq "$(BUILD_MAGIT_LIBGIT)" "true"
+magit-libgit.elc:
+magit-git.elc:          magit-utils.elc magit-section.elc magit-libgit.elc
+else
+magit-git.elc:          magit-utils.elc magit-section.elc
+endif
+magit-mode.elc:         magit-section.elc magit-git.elc
+magit-margin.elc:       magit-section.elc magit-mode.elc
+magit-process.elc:      magit-utils.elc magit-section.elc \
+                        magit-git.elc magit-mode.elc
+magit-transient.elc:    magit-git.elc magit-mode.elc magit-process.elc
+magit-autorevert.elc:   magit-git.elc magit-process.elc
+magit-core.elc:         magit-margin.elc magit-utils.elc \
+                        magit-section.elc magit-git.elc \
+                        magit-transient.elc magit-mode.elc \
+                        magit-process.elc magit-autorevert.elc
+magit-diff.elc:         git-commit.elc magit-core.elc
+magit-log.elc:          magit-core.elc magit-diff.elc
+magit-wip.elc:          magit-core.elc magit-log.elc
+magit-reflog.elc:       magit-core.elc magit-log.elc
+magit-apply.elc:        magit-core.elc magit-diff.elc magit-wip.elc
+magit-repos.elc:        magit-core.elc
+magit.elc:              git-commit.elc magit-core.elc magit-diff.elc \
+                        magit-log.elc magit-apply.elc magit-repos.elc
+magit-status.elc:       magit.elc
+magit-refs.elc:         magit.elc
+magit-files.elc:        magit.elc
 magit-reset.elc:        magit.elc
-magit-branch.elc:	magit.elc magit-collab.elc magit-reset.elc
-magit-merge.elc:        magit.elc
+magit-branch.elc:       magit.elc magit-reset.elc
+magit-merge.elc:        magit.elc magit-diff.elc
 magit-tag.elc:          magit.elc
-magit-worktree.elc:	magit.elc
-magit-notes.elc:	magit.elc
-magit-sequence.elc:	magit.elc
-magit-commit.elc:	magit.elc magit-sequence.elc
-magit-remote.elc:	magit.elc
-magit-clone.elc:	magit.elc
-magit-fetch.elc:	magit.elc
-magit-pull.elc:		magit.elc
-magit-push.elc:		magit.elc
-magit-patch.elc:	magit.elc
-magit-bisect.elc:	magit.elc
-magit-stash.elc:	magit.elc
-magit-blame.elc:	magit.elc
-magit-obsolete.elc:	magit.elc
-magit-submodule.elc:	magit.elc
-magit-subtree.elc:	magit.elc
-magit-ediff.elc:	magit.elc
-magit-gitignore.elc:	magit.elc
-magit-extras.elc:	magit.elc magit-merge.elc
-git-rebase.elc:		magit.elc
-magit-imenu.elc:	magit.elc git-rebase.elc
-magit-bookmark.elc:	magit.elc
-magit-obsolete.elc:	magit.elc
+magit-worktree.elc:     magit.elc
+magit-notes.elc:        magit.elc
+magit-sequence.elc:     magit.elc
+magit-commit.elc:       magit.elc magit-sequence.elc
+magit-remote.elc:       magit.elc
+magit-clone.elc:        magit.elc
+magit-fetch.elc:        magit.elc
+magit-pull.elc:         magit.elc magit-remote.elc
+magit-push.elc:         magit.elc
+magit-bisect.elc:       magit.elc
+magit-stash.elc:        magit.elc magit-reflog.elc
+magit-blame.elc:        magit.elc
+magit-obsolete.elc:     magit.elc
+magit-submodule.elc:    magit.elc
+magit-patch.elc:        magit.elc
+magit-subtree.elc:      magit.elc
+magit-ediff.elc:        magit.elc
+magit-gitignore.elc:    magit.elc
+magit-extras.elc:       magit.elc magit-merge.elc
+git-rebase.elc:         magit.elc
+magit-imenu.elc:        magit.elc git-rebase.elc
+magit-bookmark.elc:     magit.elc
+magit-obsolete.elc:     magit.elc
 
 ## Build #############################################################

=== debian/changelog ===
magit (2.99.0.git0957.ge8c7bd03-1) unstable; urgency=medium

  [ Rémi Vanicat ]
  * Drop transitional package magit from src:magit",
    thanks to Holger Levsen (Closes: #940746).
  * Git snapshot e8c7bd03 (Thanks to Jonas Bernoulli
    https://github.com/magit/magit/issues/4095).
    Bug fix: "please package new upstream snapshot", thanks to Antoine
    Beaupre (Closes: #952560).
  * Update patches to new version
  * Change build depend from magit-popup to transient

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove unnecessary ${misc:Built-Using} for elpa-magit, elpa-git-
    commit

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 06 Jul 2020 17:56:39 +0200

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 12), dh-elpa (>= 1.7),
               git, elpa-dash, elpa-with-editor, elpa-transient, elpa-ghub,
               texinfo, install-info
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, ${elpa:Depends}
Enhances: emacs, git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, git
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.
